
Infrastructure - Task #2908

Story # 2720 (Closed): KNB, LTER, PISCO, ESA, SANPARKS roll out

Task # 2882 (Closed): KNB MN upgrade

Task # 2907 (Closed): Configure NCEAS, OBFS, NRS registry

Install NCEAS::AdminDB module

2012-06-10 15:16 - Ben Leinfelder

Status: Closed Start date: 2012-06-10

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2012.35-Block.5.2   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

There must be more formal instructions...somewhere.

https://code.nceas.ucsb.edu/code/admindb/trunk/perl/NCEAS/AdminDB

History

#1 - 2012-06-10 15:19 - Ben Leinfelder

README is helpful for installing prereqs and the perl module.

https://code.nceas.ucsb.edu/code/admindb/trunk/perl/NCEAS/AdminDB/README

#2 - 2012-06-10 15:45 - Ben Leinfelder

- Status changed from New to In Progress

Installed the following:

sudo apt-get install libdbd-pg-perl

sudo apt-get install libpq-dev

sudo cpan -i App::Info

sudo cpan -i DBI

sudo cpan -i DBD::Pg

Then installed the module

svn co https://code.nceas.ucsb.edu/code/admindb/trunk/perl/NCEAS/AdminDB AdminDB

cd AdminDB

perl Makefile.PL

make

sudo make install

#3 - 2012-06-11 02:51 - Ben Leinfelder

- Status changed from In Progress to Closed
